<template>
  <b-container>
    <b-navbar toggleable="lg" class="bg-white" fixed="top " style="z-index: 999">
      <b-navbar-brand href="/" >
          <router-link :to="{name: 'deployments'}" class="action-btns" ><img class="float-left" src="../assets/MaaSLogo.png" v-bind:alt="project.brandName" width="300" >
          </router-link>
      </b-navbar-brand>
       <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>
<!--
      <b-navbar-nav >
        <b-nav-item   :to="{name: 'deployments'}"><h3 style= "color: green" >Deployments</h3></b-nav-item>
        <b-nav-item :to="{name: 'deployments'}" ><h3 style= "color: green">Configuration </h3></b-nav-item>
        <b-nav-item :to="{name: 'deployments'}" > <h3 style= "color: green">Monitoring </h3></b-nav-item>
      <b-nav-item :to="{name: 'deployments'}" disabled > <h3 style= "color: green">Hi, Operator </h3></b-nav-item>
         </b-navbar-nav> -->
    <b-collapse  id="nav-collapse" is-nav>
        <!-- Right aligned nav items -->
            <b-navbar-nav  v-if="this.$store.getters.authenticatedUser" >
            <b-nav-item  >
              <router-link :to="{name: 'deployments'}" class="action-btns" > <h4 style ="color : #22b574" > Deployments </h4></router-link>
              </b-nav-item>
<b-nav-item >
           <router-link :to="{name: 'configurationView'}" class="action-btns"><h4  style ="color : #22b574" >Configuration</h4></router-link></b-nav-item>
           <b-nav-item >
            <router-link :to="{name: 'Regions'}" class="action-btns"> <h4    style ="color : #22b574">Regions</h4></router-link></b-nav-item>
            <b-nav-item >
            <router-link :to="{name: 'Operators'}" class="action-btns"> <h4    style ="color : #22b574">Operators</h4></router-link></b-nav-item>
         </b-navbar-nav>
         <b-navbar-nav  v-if="this.$store.getters.authenticatedUser" class="ml-auto" >
            <b-nav-item-dropdown    text="Hi, Operator"   id="Hi"  right >
              <!--<h4  style ="color : #22b574" >Hi, Operator</h4> -->
               <b-dropdown-item href="#" @click="userLogout" >Logout</b-dropdown-item>
            </b-nav-item-dropdown >
          </b-navbar-nav  >
<!--
            <b-nav-item  >

              <h4 @click="userLogout" class="float-right"   style ="color : #22b574" >Logout</h4>
            </b-nav-item>   -->
<b-navbar-nav v-else  class="ml-auto">
              <b-nav-item>
              <router-link :to="{name: 'login'}" class="action-btns"  ><h4   style ="color : #22b574"   >Login </h4></router-link></b-nav-item>
              <!--  </b-nav-item> -->
</b-navbar-nav>
      </b-collapse>
    </b-navbar>
  </b-container>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  props: {
    'project': Object
  },
  computed: {
    ...mapGetters([
      'authenticatedUser'
    ]),
    user () {
      // get the fullname of the logged in user
      if (Object.keys(this.$store.state.user).length > 0) {
        return this.$store.state.user.name
      }
      return ''
    }
  },
  methods: {
    userLogout () {
      // logout user
      // this.$store.commit('CLEAR_USERNAME')
      // console.log(this.$store.state.username)
      this.$store.dispatch('logout').then(
        response => {
        this.$router.push({name: 'home'})
        }
      )
      //this.$router.push({name: 'home'})
      // console.log(this.$store.state.username)
      // console.log(this.authenticatedUser)
    }
  }
}
</script>

<style>
#user-container {
  border: 2px solid #979fa6 !important;
  border-radius: 5px;
}
.action-btns, .action-btns:active, .action-btns:hover, .action-btns:visited, .action-btns:focus  {
  text-decoration: none!important;
  color: black;
}

.navbar-light .navbar-nav .nav-link {
 color : #22b574 !important;
}

.dropdown-menu > li > a:hover {
    background-color: #22b574;
    color: white;
}
#Hi__BV_button_ > span {
    font-size: 1.5rem;
}
</style>
